import request from '@/utils/request'

export function getDike(dikeCode) {
  return request({ url: '/slgc/dike/' + dikeCode, method: 'get' })
}

export function addDike(data) {
  return request({ url: '/slgc/dike', method: 'post', data })
}

export function updateDike(data) {
  return request({ url: '/slgc/dike', method: 'put', data })
}

export function delDike(dikeCodes) {
  return request({ url: '/slgc/dike/' + dikeCodes, method: 'delete' })
}

export function getDikeCountType() {
  return request({ url: '/slgc/dike/countType', method: 'get' })
}
